Skip to content

Split an episode into children at its own markers

POST
/v1/datasets/episode-split
curl --request POST \
--url https://example.com/v1/datasets/episode-split \
--header 'Content-Type: application/json' \
--data '{ "episode_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "cut_at": [], "cuts": [], "start_at_first": [], "end_at_last": [], "dry_run": false }'
account_id

Act on this account (active)

string | null format: uuid

Act on this account (active)

x-api-key
string | null
Media type application/json
SplitEpisodeBody
object
episode_id
required
string format: uuid
cut_at
Array<string>
default:
cuts
Array<object>
default:
object
key
additional properties
any
start_at_first
Array<string>
default:
end_at_last
Array<string>
default:
dry_run
boolean

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Array<object>
ValidationError
object
loc
required
Location
Array<string | integer>
msg
required
Message
string
type
required
Error Type
string
input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}